Holger's Java API

## com.antelmann.util.gui
Class PercentFormatFactory

    java.lang.Object
      javax.swing.JFormattedTextField.AbstractFormatterFactory
          javax.swing.text.DefaultFormatterFactory
              com.antelmann.util.gui.PercentFormatFactory

All Implemented Interfaces:
  Serializable

    public class PercentFormatFactory

extends DefaultFormatterFactory

displays a normal percentage, let's you edit the percentage as a number with 100 corresponding to 100 percent and stores the value as a proper percentage value where 1 corresponds to 100 percent.

Since:
  4. September 2007, 21:53
Author:
  Holger Antelmann
See Also:
  `JFormattedTextField`, Serialized Form

Constructor Summary
`PercentFormatFactory()`
`PercentFormatFactory(int maximumFractionDigits)`
`PercentFormatFactory(Locale l, int maximumFractionDigits)`

Method Summary
`static NumberFormatter` `getPercentFormatter()`
`static NumberFormatter` `getPercentFormatter(Locale l)`

Methods inherited from class javax.swing.text.DefaultFormatterFactory
`getDefaultFormatter, getDisplayFormatter, getEditFormatter, getFormatter, getNullFormatter, setDefaultFormatter, setDisplayFormatter, setEditFormatter, setNullFormatter`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PercentFormatFactory

    public PercentFormatFactory()

### PercentFormatFactory

    public PercentFormatFactory(int maximumFractionDigits)

### PercentFormatFactory

    public PercentFormatFactory(Locale l,
                                int maximumFractionDigits)

Parameters:
  `l` - specifies the Locale that is to be used for displaying the number itself

Method Detail

### getPercentFormatter

    public static NumberFormatter getPercentFormatter()

### getPercentFormatter

    public static NumberFormatter getPercentFormatter(Locale l)

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads